Download it now!
Bug 92869 - Hyperlink "Frame" value not displayed if entered manually
Summary: Hyperlink "Frame" value not displayed if entered manually
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2015-07-22 10:59 UTC by Gil Shwartz
Modified: 2020-09-07 03:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Writer file with various frame target settings. (10.50 KB, application/vnd.oasis.opendocument.text)
2015-07-30 21:57 UTC, Gil Shwartz
Details
File saved as HTML with correct link targets (1.75 KB, text/html)
2015-07-30 21:57 UTC, Gil Shwartz
Details
File exported as XHTML not exporting the link targets (3.38 KB, text/html)
2015-07-30 21:58 UTC, Gil Shwartz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gil Shwartz 2015-07-22 10:59:03 UTC
The Help specifies the behavior of the Frame control:

"Enter the name of the frame that you want the linked file to open in, or select a predefined frame from the list. If you leave this box blank, the linked file opens in the current browser window."

If one selects one of the predefined frames, the selection is displayed on the next opening of the dialog. When one enters a name for the frame, this name is _not_ displayed in the dialog on the next open, while it is kept in the document. One can verify that the value is remembered but not displayed if the document is _saved_ (not exported) as HTML. The HTML code have the correct link target.
Comment 1 Buovjaga 2015-07-30 18:05:18 UTC
I could not figure out, how to test this.
Can you give more detailed steps on what I should do after inserting a frame?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 2 Gil Shwartz 2015-07-30 21:57:14 UTC
Created attachment 117545 [details]
Writer file with various frame target settings.
Comment 3 Gil Shwartz 2015-07-30 21:57:50 UTC
Created attachment 117546 [details]
File saved as HTML with correct link targets
Comment 4 Gil Shwartz 2015-07-30 21:58:13 UTC
Created attachment 117547 [details]
File exported as XHTML not exporting the link targets
Comment 5 Gil Shwartz 2015-07-30 22:00:14 UTC
I was sure I have previously loaded these files, but anyway here is an example with the various results.
Comment 6 Gil Shwartz 2015-07-30 22:07:20 UTC
Specifically you can follow these stesp:

1. Insert a link with a frame target from the list of frame targets.
2. Close the dialog.
3. Open the dialog again (edit the link).
4. Verify that the selected frame target is as selected.
5. Now replace the selected frame target with a named one, e.g. "libreoffice" as the name of the frame in which to open the link.
6. Close the dialog again.
7. Open the dialog again.
8. Notice that the name of the frame target (in our example "libreoffice") is NOT displayed in the frame target field. This is the bug.
9. Verify that LO remembers the correct named frame target by saving the file a HTML (not via export but via save as). Check out the HTML and see the frame target "libreoffice" as the target of the link.
Comment 7 Buovjaga 2015-07-31 11:06:39 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 8 QA Administrators 2016-09-20 10:21:18 UTC Comment hidden (obsolete)
Comment 9 Gil Shwartz 2016-09-20 16:20:27 UTC
Bug still exists in LO 5.2.1 on Linux Mint 17.3 (Ubuntu 14.04).
Comment 10 QA Administrators 2018-09-07 02:44:26 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2020-09-07 03:52:48 UTC
Dear Gil Shwartz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug